<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__ble__ancs__descr__value__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_ble_ancs_descr_value_t</compoundname>
    <includes local="no">cy_ble_ancs.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__ble__ancs__descr__value__t_1a1f3db758d6822425db93bd754a926025" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcy__stc__ble__conn__handle__t">cy_stc_ble_conn_handle_t</ref></type>
        <definition>cy_stc_ble_conn_handle_t cy_stc_ble_ancs_descr_value_t::connHandle</definition>
        <argsstring />
        <name>connHandle</name>
        <briefdescription>
<para>Peer Device Handle. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_ancs.h" bodystart="113" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_ancs.h" line="113" />
      </memberdef>
      <memberdef id="structcy__stc__ble__ancs__descr__value__t_1af32f64ab5d8b5e88ae0eda0082bc3955" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__ble__service__api___a_n_c_s__definitions_1gaf2d82778858b6ddb4ad69aa318b2d761">cy_en_ble_ancs_char_index_t</ref></type>
        <definition>cy_en_ble_ancs_char_index_t cy_stc_ble_ancs_descr_value_t::charIndex</definition>
        <argsstring />
        <name>charIndex</name>
        <briefdescription>
<para>Index of Service Characteristic. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_ancs.h" bodystart="114" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_ancs.h" line="114" />
      </memberdef>
      <memberdef id="structcy__stc__ble__ancs__descr__value__t_1a6e8ba71fe685a3452900a98134953068" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__ble__service__api___a_n_c_s__definitions_1ga85e876ea3801c5b315307d0f6458cec7">cy_en_ble_ancs_descr_index_t</ref></type>
        <definition>cy_en_ble_ancs_descr_index_t cy_stc_ble_ancs_descr_value_t::descrIndex</definition>
        <argsstring />
        <name>descrIndex</name>
        <briefdescription>
<para>Index of Service Characteristic descriptor. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_ancs.h" bodystart="115" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_ancs.h" line="115" />
      </memberdef>
      <memberdef id="structcy__stc__ble__ancs__descr__value__t_1af49d8b96311c63b8847355cb505d74be" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcy__stc__ble__gatt__value__t">cy_stc_ble_gatt_value_t</ref> *</type>
        <definition>cy_stc_ble_gatt_value_t* cy_stc_ble_ancs_descr_value_t::value</definition>
        <argsstring />
        <name>value</name>
        <briefdescription>
<para>Descriptor value. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_ancs.h" bodystart="116" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_ancs.h" line="116" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>ANCS Characteristic descriptor value parameter structure. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <collaborationgraph>
      <node id="58">
        <label>cy_stc_ble_conn_handle_t</label>
        <link refid="structcy__stc__ble__conn__handle__t" />
      </node>
      <node id="56">
        <label>cy_stc_ble_ancs_descr_value_t</label>
        <link refid="structcy__stc__ble__ancs__descr__value__t" />
        <childnode refid="57" relation="usage">
          <edgelabel>value</edgelabel>
        </childnode>
        <childnode refid="58" relation="usage">
          <edgelabel>connHandle</edgelabel>
        </childnode>
      </node>
      <node id="57">
        <label>cy_stc_ble_gatt_value_t</label>
        <link refid="structcy__stc__ble__gatt__value__t" />
      </node>
    </collaborationgraph>
    <location bodyend="117" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_ancs.h" bodystart="111" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_ancs.h" line="112" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__ble__ancs__descr__value__t_1af32f64ab5d8b5e88ae0eda0082bc3955" virt="non-virtual"><scope>cy_stc_ble_ancs_descr_value_t</scope><name>charIndex</name></member>
      <member prot="public" refid="structcy__stc__ble__ancs__descr__value__t_1a1f3db758d6822425db93bd754a926025" virt="non-virtual"><scope>cy_stc_ble_ancs_descr_value_t</scope><name>connHandle</name></member>
      <member prot="public" refid="structcy__stc__ble__ancs__descr__value__t_1a6e8ba71fe685a3452900a98134953068" virt="non-virtual"><scope>cy_stc_ble_ancs_descr_value_t</scope><name>descrIndex</name></member>
      <member prot="public" refid="structcy__stc__ble__ancs__descr__value__t_1af49d8b96311c63b8847355cb505d74be" virt="non-virtual"><scope>cy_stc_ble_ancs_descr_value_t</scope><name>value</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>